#include "cpudm.h"
#include "getabs.h"
float getAbs(float refl, float w, float oxy, float bvf, float muam694){
	return getAbs(1, refl, w, oxy, bvf, muam694);
}

float getAbs(int lag, float refl, float w, float oxy, float bvf, float muam694){
	float mua1, mus1, mua2, mus2, mua3, mus3, gcol, derivmuad, derivmuae, res;
	calcSkinData(w, oxy, bvf, oxy, bvf, muam694, 0, 0, 0, 0, &mua1, &mus1, &mua2, &mus2, &mua3, &mus3, &gcol);
	for (int i=0; i < 15; i++){
		ReflIsoL2(mua1, mus1, mua2, mus2, gcol, &res, &derivmuad, &derivmuae);
		if (lag == 0){
			nextMuad(refl, res, derivmuae, &mua1, i);
		} else if (lag == 1){
			nextMuad(refl, res, derivmuad, &mua2, i);
		}
	}	
	if (lag == 0){
		return mua1;
	} else if (lag == 1){
		return mua2;
	}
}
